Survey123 Template build version in AppStudio

1612
4
Jump to solution
09-01-2016 08:59 AM
BamJam
by
New Contributor III

Is there a way to identify what build version of Survey 123 the templates in AppStudio are based on?

Tags (2)
0 Kudos
1 Solution

Accepted Solutions
MitchellProctor
Occasional Contributor II

Hi Brandon,

Unfortunately I made a mistake on that one; as you can see, the version number within the Survey123 template isn't correct due to that information being removed for the template build. It's for exactly this reason that the version has started being included in the template's description, especially since there are times the template isn't up to date with the current release version of Survey123.

The period you're talking about is one of those times. We didn't update the template beyond 1.6 for some time because 1.7 introduced features that couldn't be supported by AppStudio 1.2; because of that the template builds skipped versions 1.7 and 1.8, because users wouldn't be able to use it. Usually your assumption that you had functionality equivalent to version 1.8 would be correct if the app was built in October, but in this specific case it wasn't.

In short: the version you're using is 1.6, and I'm sorry for the confusion.

View solution in original post

0 Kudos
4 Replies
MitchellProctor
Occasional Contributor II

Hi Brandon,

The easiest (and admittedly obvious!) way to check this is to download the Survey123 sample itself and check, in the same location you would in Survey123 itself.

To save you the trouble of checking immediately, the version available there right now is 1.6. This sample is usually updated as part of the Survey123 release cycle, and so would be the same version you can get standalone, but the Survey123 1.7 update that came out this month relies on an update to the AppStudio framework that isn't in 1.2. So giving you the 1.7 update would leave you unable to work it!

0 Kudos
BamJam
by
New Contributor III

Hello Mitchell, 
I think I may have missed the obvious way to check the Survey123 app version that a template is based on.  I was not able to determine which version of the Survey123 app the template was based on by downloading, opening and viewing the about info.  What I saw (and still see today) was the version that was assigned by the developor in AppStudio:   Not the actual Survey123 app version that the template was based on.  

The Survey123 template available today in AppStudio now includes this information, but still allows the developer to assign their own versioning of their versions of the app they deploy from AppStudio: .

So, I while I can easily obtain this information from the templates today, I still am not able to determine what verison of Survey123 that our previos deployment was based on other than correlating the date that we downloaded the template with the version history of Survey123.  Based on this, since we downloaded the template in AppStudio and deployed in October 2016, I have to assume that the template was based on Survey123 version 1.7.20 (released 8/31/2016) or 1.8.21 (released 9/28/2016).  Is there another way to determine what version of the Survey123 app that a template was based on?  Obvious or not?

Thanks

0 Kudos
MitchellProctor
Occasional Contributor II

Hi Brandon,

Unfortunately I made a mistake on that one; as you can see, the version number within the Survey123 template isn't correct due to that information being removed for the template build. It's for exactly this reason that the version has started being included in the template's description, especially since there are times the template isn't up to date with the current release version of Survey123.

The period you're talking about is one of those times. We didn't update the template beyond 1.6 for some time because 1.7 introduced features that couldn't be supported by AppStudio 1.2; because of that the template builds skipped versions 1.7 and 1.8, because users wouldn't be able to use it. Usually your assumption that you had functionality equivalent to version 1.8 would be correct if the app was built in October, but in this specific case it wasn't.

In short: the version you're using is 1.6, and I'm sorry for the confusion.

0 Kudos
BamJam
by
New Contributor III

Mitchell,

I would have continued to assume we were on 1.7 or 1.8.  Thanks for the clarification!

0 Kudos